#!/bin/bash

dir="../en-US" # no trailing slash

for file in $( find -L $dir -name "*.adoc" ); do
    basename=`basename -s .adoc $file`
    dirname=`dirname $file`
    path=`echo ${dirname#$dir/}`
    if [ "$dirname" = "$dir" ]; then
        potname=$basename.pot
    else
        potname=$path/$basename.pot
        mkdir -p pot/$path
    fi
    echo po4a-gettextize -f asciidoc -m $file -p pot/$potname --master-charset "UTF-8" -o debug split_attributelist
    PERLLIB=../../po4a/lib po4a-gettextize -f asciidoc -m $file -p pot/$potname --master-charset "UTF-8" -o debug split_attributelist
done

echo po4a-gettextize -f yaml -o keys=Name -m ../_topic_map.yml -p pot/_topic_map.yml.pot --master-charset "UTF-8"
PERLLIB=../../po4a/lib po4a-gettextize -f yaml -o keys=Name -m ../_topic_map.yml -p pot/_topic_map.yml.pot --master-charset "UTF-8"

echo po4a-gettextize -f yaml -o keys="Name site_name" -m ../_distro_map.yml -p pot/_distro_map.yml.pot --master-charset "UTF-8"
PERLLIB=../../po4a/lib po4a-gettextize -f yaml -o keys="Name site_name" -m ../_distro_map.yml -p pot/_distro_map.yml.pot --master-charset "UTF-8"
