#!/bin/bash

lang=$1
dir="../en-US" # no trailing slash

for file in $( find -L $dir -name "*.adoc" ); do
    basename=`basename -s .adoc $file`
    dirname=`dirname $file`
    path=`echo ${dirname#$dir/}`
    if [ "$dirname" = "$dir" ]; then
        potname=$basename
    else
        potname=$path/$basename
    fi
    if [ -e po/$potname.$lang.po ]; then
      echo po4a-translate -f asciidoc -m $file -p po/$potname.$lang.po --master-charset "UTF-8" --localized-charset "UTF-8" -l $file -o debug split_attributelist -k 0
      PERLLIB=../../po4a/lib po4a-translate -f asciidoc -m $file -p po/$potname.$lang.po --master-charset "UTF-8" --localized-charset "UTF-8" -l $file -o debug split_attributelist -k 0
    fi
done

if [ -e po/_topic_map.yml.$lang.po ]; then
  echo po4a-translate -f yaml -o keys=Name -m ../_topic_map.yml -p po/_topic_map.yml.$lang.po --master-charset "UTF-8" --localized-charset "UTF-8" -l ../_topic_map.yml -k 0
  PERLLIB=../../po4a/lib po4a-translate -f yaml -o keys=Name -m ../_topic_map.yml -p po/_topic_map.yml.$lang.po --master-charset "UTF-8" --localized-charset "UTF-8" -l ../_topic_map.yml -k 0
fi

if [ -e po/_distro_map.yml.$lang.po ]; then
  echo po4a-translate -f yaml -o keys="Name site_name" -m ../_distro_map.yml -p po/_distro_map.yml.$lang.po --master-charset "UTF-8" --localized-charset "UTF-8" -l ../_distro_map.yml -k 0
  PERLLIB=../../po4a/lib po4a-translate -f yaml -o keys="Name site_name" -m ../_distro_map.yml -p po/_distro_map.yml.$lang.po --master-charset "UTF-8" --localized-charset "UTF-8" -l ../_distro_map.yml -k 0
fi
